clear all
%load('c:\Users\PLM\Dropbox\Arduino\MATLAB\testdata\mean_and_slope.mat');
%load('c:\Users\PLM\Dropbox\Arduino\MATLAB\testdata\Ttests.mat');
load('mean_and_slope.mat');
load('Ttests.mat');
% data: 1, 4, 7, 10 og 13 = middelverdi
% data: 2, 5, 8, 11 og 14 = std for middelverdien
% data: 3, 6, 9, 12 og 15 = slope

% Remove samples with clear errors
%{x
removeSample=zeros(length(data),1);
removeSample([12 13 14 20 28 36])=1;
removeSample=logical(removeSample);
data(removeSample, :)=[];
Ttestdata(removeSample, :)=[];
%}
my1=data(:,1);my2=data(:,4);my3=data(:,7);my4=data(:,10);my5=data(:,13);
allmys=[my1,my2,my3,my4,my5];

delta1=my1-my2;delta2=my2-my3;delta3=my3-my4;delta4=my4-my5;
% gjennomsnitt av intervall 1 og 5 mot intervall 3
delta153=(my1+my5)/2 -my3; 
% gjennomsnitt av intervall 2 og 4 mot intervall 3
delta243=(my2+my4)/2-my3;
delta15=my1-my5;
delta24=my2-my4;
delta35=my3-my5;
deltas=[delta1, delta2, delta3, delta4,delta15, delta24, delta35];
testDelta=[delta1, delta2, delta3, delta4];
B={'Interval 1','Interval 2','Interval 3','Interval 4', 'Interval 5'};

% Alle normalisering
%{
nymy=zeros(length(allmys),5);
for i=1:length(allmys)
    middel=mean(allmys(i,:));
    nymy(i,:)=allmys(i,:)./middel-1;
end
[p,t,stats] = anova1(nymy,B); 
figure 
[c,m,h,nms] = multcompare(stats);
%}

%jentetest
%{
j=allmys([5 10 15 16 19 21 22],:);
jenter=zeros(length(j),5);
for i=1:length(j)
    middel=mean(j(i,:));
    jenter(i,:)=j(i,:)./middel-1;
end

[p,t,stats] = anova1(jenter,B); 
figure 
[c,m,h,nms] = multcompare(stats);
%}
% gutter
%{x
gutter=allmys([1:4 6:9 11:14 17 18 20 23:34],:);
for i=1:length(gutter)
    middel=mean(gutter(i,:));
    gutter(i,:)=gutter(i,:)./middel-1;
end

[p,t,stats] = anova1(gutter,B); 
figure 
[c,m,h,nms] = multcompare(stats);
%}
% tung folk
%{
tung=allmys([1 2 4 7 14 18 20 27 28 30 31 33],:);
for i=1:length(tung)
    middel=mean(tung(i,:));
    tung(i,:)=tung(i,:)./middel-1;
end
[p,t,stats] = anova1(tung,B); 
figure 
[c,m,h,nms] = multcompare(stats);
%}
%duplikater
%{
%7 og 20, 11 og 34,  13 og 32
figure('Color',[0.8 0.8 0.8]);
subplot(3,1,1)
plot(allmys(7,:),'-o') 
hold on
plot(allmys(20,:),'-o')
title({'Mean heart rate, Duplicate 1'})
legend('Mean heart rate, test 1','Mean heart rate, test 2')
xlabel('Interval')
ylabel('Mean heart rate [BPM]')
set(gca,'Color',[0.941 0.917 0.839],'linewidth',1,'XTick',[1,2,3,4,5]);

%figure('Color',[0.8 0.8 0.8]);
subplot(3,1,2)
plot(allmys(11,:),'-o')
hold on
plot(allmys(34,:),'-o')
title({'Mean heart rate, Duplicate 2'})
legend('Mean heart rate, test 1','Mean heart rate, test 2')
xlabel('Interval')
ylabel('Mean heart rate [BPM]')
set(gca,'Color',[0.941 0.917 0.839],'linewidth',1,'XTick',[1,2,3,4,5]);

%figure('Color',[0.8 0.8 0.8]);
subplot(3,1,3)
plot(allmys(13,:),'-o')
hold on
plot(allmys(32,:),'-o')
title({'Mean heart rate, Duplicate 3'})
legend('Mean heart rate, test 1','Mean heart rate, test 2')
xlabel('Interval')
ylabel('Mean heart rate [BPM]')
set(gca,'Color',[0.941 0.917 0.839],'linewidth',1,'XTick',[1,2,3,4,5]);
%}