clear all;
fil1= load('ti.txt');
fil2 = load('tjue.txt');
%fil3 = load('tretti.txt');

dataFil = [fil1;fil2]; 
imax= length(dataFil);
y=dataFil(1:imax,2);
timestamp=dataFil(1:imax,1)/1000;


% Reversere data:
%{xx
for i=1:length(dataFil)
    y(i,1)= 5 - dataFil(i,2);
end
%}


h = fir1(500,1/72*2,'high'); 
% filter out DC
y_filt=filter(h,1,y);

% square it
detsq = y_filt .^ 2;






% let's detect the momentary heart rate in beats per min
last=0;
upflag=0;
pulse=zeros(length(detsq),1);
avg_puls=zeros(length(detsq),1);
p=60;

% PULSE Calculations
for i = 1:length(detsq)
    if (detsq(i) > 0.06) %0.08 i stedet for 0.6
        if (upflag == 0)
            if (last > 0)
               t = timestamp(i) - last;
               p = uint8(60/t);
            end
            last =timestamp(i);
        end
        upflag = 30;
    else
        if (upflag>0)
            upflag = upflag - 1;
        end
    end
    pulse(i)=p;
     if (pulse(i)< 45)
         pulse(i)= pulse(i-1);
     end 
     if (pulse(i) > 80)
         pulse(i)= pulse(i-1);
     end 
end



%{
Prver  mle gjennomsnitt av pulse over 3 eller 5 sekunder:
legg sammen de frste 96 elementene (32*3) og del p 96

Ny kode: 72 mlinger per s * 5 = 360
%}
j=1;
k=1500;
a=0;

for j =1:(length(detsq)-k)
    %32 *5s =160
    b = j+k-1;
    a= sum(pulse(j:b))/k;
    
    avg_puls(j:b)=a; %uint8(a);
  
end

%PLOT Y
%{
figure
plot(y)
title('Y')
%}

% PLOT Y_FILT
%{
figure
plot(y_filt)
title('Y-Filt')
%}

% PLOT detsq
%{
figure
plot(timestamp,detsq)
%refline(0,8)
title('detsq')
%}

% PLOT PULSE
%{x
figure
%subplot(2,1,1)
plot (timestamp,pulse)
refline(0,60)
refline(0,70)
refline(0,80)
title('Pulse')
xlabel('Time [s]')
ylabel('Heart rate [BPM]')
%}

%PLOT AVERAGE PULSE
%{ 
figure
%%subplot(2,1,2)
plot(timestamp,avg_puls)
line([240, 240],[0,140])
line([480, 480],[0,140])
line([720, 720],[0,140])
line([960, 960],[0,140])
refline(0,60)
refline(0,70)
refline(0,80)
title('avg Pulse')
xlabel('Time [s]')
ylabel('Heart rate [BPM]')
%}

